Bug 1568645 - HDMI audio delays and stutter occaisionally [NEEDINFO]
Summary: HDMI audio delays and stutter occaisionally
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 00:47 UTC by Travis Rogers
Modified: 2018-08-29 15:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:20:54 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
output of alsa-info.sh (57.36 KB, text/plain)
2018-04-18 00:47 UTC, Travis Rogers
no flags Details

Description Travis Rogers 2018-04-18 00:47:16 UTC
Created attachment 1423277 [details]
output of alsa-info.sh

Description of problem:
HDMI audio issues.  Includes skips, delays in playing.  About 25% of the time encountering issues.  75% works.  HDMI audio takes a few moments to start playing and audio in the beginning is not heard.  At least for 1 to 4 seconds consistently.  I encounter the issues with several different applications, so it seems to not be limited to one application.

Noticed this message repeated in /var/log/messages when audio was having issues:

kernel: snd_hda_codec_hdmi hdaudioC0D2: HDMI: audio coding type 0 not expected



Version-Release number of selected component (if applicable):
Fedora 27
Linux shed 4.15.16-300.fc27.x86_64 #1 SMP Mon Apr 9 17:50:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Almost consistently. Set sound to use HDMI and play audio.


Additional info:
Thinkpad T460s

$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation Skylake GT2 [HD Graphics 520] (rev 07)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:16.3 Serial controller: Intel Corporation Device 9d3d (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1)
00:1c.2 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #3 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection I219-LM (rev 21)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS522A PCI Express Card Reader (rev 01)
04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)



$ lsmod
Module                  Size  Used by
tun                    40960  2
bnep                   24576  2
fuse                  122880  3
ip6t_rpfilter          16384  1
ip6t_REJECT            16384  2
nf_reject_ipv6         16384  1 ip6t_REJECT
xt_conntrack           16384  13
ip_set                 45056  0
nfnetlink              16384  1 ip_set
ebtable_nat            16384  1
ebtable_broute         16384  1
bridge                188416  1 ebtable_broute
stp                    16384  1 bridge
llc                    16384  2 bridge,stp
ip6table_nat           16384  1
nf_conntrack_ipv6      16384  8
nf_defrag_ipv6         36864  1 nf_conntrack_ipv6
nf_nat_ipv6            16384  1 ip6table_nat
ip6table_mangle        16384  1
ip6table_raw           16384  1
ip6table_security      16384  1
iptable_nat            16384  1
nf_conntrack_ipv4      16384  7
nf_defrag_ipv4         16384  1 nf_conntrack_ipv4
nf_nat_ipv4            16384  1 iptable_nat
nf_nat                 36864  2 nf_nat_ipv6,nf_nat_ipv4
nf_conntrack          151552  6 nf_conntrack_ipv6,nf_conntrack_ipv4,nf_nat_ipv6,xt_conntrack,nf_nat_ipv4,nf_nat
iptable_mangle         16384  1
iptable_raw            16384  1
iptable_security       16384  1
ebtable_filter         16384  1
ebtables               36864  3 ebtable_filter,ebtable_nat,ebtable_broute
ip6table_filter        16384  1
ip6_tables             32768  5 ip6table_mangle,ip6table_filter,ip6table_security,ip6table_raw,ip6table_nat
vboxpci                28672  0
vboxnetadp             28672  0
vboxnetflt             32768  0
vboxdrv               483328  3 vboxnetadp,vboxnetflt,vboxpci
sunrpc                397312  1
arc4                   16384  2
snd_hda_codec_hdmi     57344  1
snd_usb_audio         221184  2
snd_usbmidi_lib        32768  1 snd_usb_audio
uvcvideo              102400  0
snd_rawmidi            36864  1 snd_usbmidi_lib
intel_rapl             24576  0
videobuf2_vmalloc      16384  1 uvcvideo
x86_pkg_temp_thermal    16384  0
intel_powerclamp       16384  0
coretemp               16384  0
videobuf2_memops       16384  1 videobuf2_vmalloc
btusb                  53248  0
btrtl                  16384  1 btusb
btbcm                  16384  1 btusb
btintel                16384  1 btusb
videobuf2_v4l2         28672  1 uvcvideo
kvm_intel             233472  0
iwlmvm                425984  0
videobuf2_core         45056  2 uvcvideo,videobuf2_v4l2
snd_soc_skl           102400  0
videodev              208896  3 uvcvideo,videobuf2_core,videobuf2_v4l2
bluetooth             593920  11 btrtl,btintel,bnep,btbcm,btusb
snd_soc_skl_ipc        73728  1 snd_soc_skl
mac80211              888832  1 iwlmvm
snd_hda_ext_core       28672  1 snd_soc_skl
snd_soc_sst_dsp        36864  1 snd_soc_skl_ipc
snd_soc_sst_ipc        16384  1 snd_soc_skl_ipc
snd_soc_acpi           16384  1 snd_soc_skl
kvm                   700416  1 kvm_intel
snd_soc_core          282624  1 snd_soc_skl
snd_hda_codec_realtek   110592  1
media                  45056  2 uvcvideo,videodev
snd_hda_codec_generic    86016  1 snd_hda_codec_realtek
iwlwifi               249856  1 iwlmvm
snd_compress           24576  1 snd_soc_core
mei_wdt                16384  0
iTCO_wdt               16384  0
snd_pcm_dmaengine      16384  1 snd_soc_core
iTCO_vendor_support    16384  1 iTCO_wdt
ac97_bus               16384  1 snd_soc_core
ecdh_generic           24576  1 bluetooth
snd_hda_intel          45056  5
wmi_bmof               16384  0
irqbypass              16384  1 kvm
crct10dif_pclmul       16384  0
snd_hda_codec         151552  4 snd_hda_intel,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
crc32_pclmul           16384  0
ghash_clmulni_intel    16384  0
snd_hda_core           94208  7 snd_hda_intel,snd_hda_codec,snd_hda_ext_core,snd_soc_skl,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec_realtek
intel_cstate           16384  0
snd_hwdep              20480  2 snd_hda_codec,snd_usb_audio
intel_uncore          131072  0
snd_seq                81920  0
cfg80211              733184  3 iwlmvm,iwlwifi,mac80211
intel_rapl_perf        16384  0
snd_seq_device         16384  2 snd_seq,snd_rawmidi
snd_pcm               118784  10 snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_pcm_dmaengine,snd_hda_ext_core,snd_hda_core,snd_soc_skl,snd_hda_codec_hdmi,snd_soc_core
snd_timer              36864  2 snd_seq,snd_pcm
thinkpad_acpi          98304  1
rtsx_pci_ms            20480  0
memstick               16384  1 rtsx_pci_ms
joydev                 24576  0
mei_me                 45056  0
snd                    94208  29 snd_compress,snd_hda_intel,snd_hwdep,snd_seq,snd_hda_codec,snd_usb_audio,snd_timer,thinkpad_acpi,snd_rawmidi,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_usbmidi_lib,snd_seq_device,snd_hda_codec_realtek,snd_soc_core,snd_pcm
tpm_tis                16384  0
soundcore              16384  1 snd
tpm_tis_core           20480  1 tpm_tis
i2c_i801               28672  0
mei                   106496  2 mei_me,mei_wdt
shpchp                 40960  0
intel_pch_thermal      16384  0
tpm                    65536  2 tpm_tis,tpm_tis_core
wmi                    28672  1 wmi_bmof
rfkill                 28672  7 bluetooth,thinkpad_acpi,cfg80211
xfs                  1388544  1
libcrc32c              16384  3 nf_conntrack,xfs,nf_nat
i915                 1933312  37
rtsx_pci_sdmmc         28672  0
mmc_core              172032  1 rtsx_pci_sdmmc
e1000e                282624  0
i2c_algo_bit           16384  1 i915
drm_kms_helper        192512  1 i915
crc32c_intel           24576  1
drm                   454656  9 i915,drm_kms_helper
ptp                    20480  1 e1000e
serio_raw              16384  0
rtsx_pci               65536  2 rtsx_pci_sdmmc,rtsx_pci_ms
pps_core               20480  1 ptp
video                  45056  2 thinkpad_acpi,i915

Comment 1 Justin M. Forbes 2018-07-23 15:29:37 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:20:54 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.